Bug 178918 - RFE: Make junit tests
Summary: RFE: Make junit tests
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-25 14:18 UTC by Igor Foox
Modified: 2013-04-02 04:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 14:24:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Igor Foox 2006-01-25 14:18:34 UTC
Having good test coverage of the plugin would be very useful for obvious
reasons. There are currently no tests. The hardest part would be coming up with
a way to test the gui. Need to take a look at how other eclipse plugins achieve
this and follow suit. 

The best strategy would probably be to make a few tests to illustrate how it's
done, then add tests for every area of the code that gets touched as a result of
enhancement/bug-fixing/whatever, and hopefullly reach a decent coverage in a bit.

Comment 1 Igor Foox 2006-02-10 23:01:12 UTC
I have started writing extensive junit tests for all the new code that I write
in a new org.eclipse.team.bugzilla.testing plugin/package. I will use this bug
to track what still needs testing, at this point it's everything.

Once I start adding tests to other areas of the code I'll use this as a tracker.

Comment 2 Red Hat Bugzilla 2007-09-11 04:05:13 UTC
User klee@redhat.com's account has been closed

Comment 3 Andrew Overholt 2007-09-11 14:24:17 UTC
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.